'use strict';
var path = require('path');
var util = require('util');
var ScriptBase = require('../script-base.js');


module.exports = Generator;

function Generator() {
  ScriptBase.apply(this, arguments);

  // if the model name is suffixed with model, remove the suffix
  // if the model name is just "model," don't append/remove "model"
  if (this.name && this.name.toLowerCase() !== 'model' && this.name.substr(-5).toLowerCase() === 'model') {
    this.name = this.name.slice(0, -5);
  }
}

util.inherits(Generator, ScriptBase);

Generator.prototype.createHelperFiles = function createHelperFiles() {
  this.appTemplate('model', 'scripts/models/' + this.name + 'Model');
  this.testTemplate('spec/model', 'models/' + this.name + 'Model');
  // this.addScriptToIndex('models/' + this.name + 'Model');
};
